Bug 740191 - [RFE] Need to add some keyboard shortcuts (decrease use of mouse)
[RFE] Need to add some keyboard shortcuts (decrease use of mouse)
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 1.4.2
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On: 743783 744671
Blocks: Zanata-1.4.2
  Show dependency treegraph
 
Reported: 2011-09-21 05:04 EDT by Jaswinder Singh
Modified: 2013-03-03 21:19 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-28 03:02:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jaswinder Singh 2011-09-21 05:04:43 EDT
Description of problem: Keyboard shortcuts need to add

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results: mouse click need to go to next string


Expected results: 1. Pressing Enter button should move focus to next string.
2. ctrl+pgup for previous fuzzy and ctrl+pgdn for next fuzzy
3. ctrl+shift+pgup for previous Untranslated and ctrl+shift+pgdn for next Untranslated.


Additional info:
Comment 1 Runa Bhattacharjee 2011-09-21 05:29:30 EDT
(In reply to comment #0)
 
> Expected results: 1. Pressing Enter button should move focus to next string.

This has been marked to be mapped as: Alt+Down

Adding the functionality for 'Enter' button also, seems reasonable to accelerate navigation.

> 2. ctrl+pgup for previous fuzzy and ctrl+pgdn for next fuzzy

Marked for inclusion as:

Ctrl+Shift+PageDown	Move to next fuzzy entry	
Ctrl+Shift+PageUp	Move to previous fuzzy entry

> 3. ctrl+shift+pgup for previous Untranslated and ctrl+shift+pgdn for next
> Untranslated.
> 

Marked for inclusion as:

Alt+PageDown	Move to next new/UT entry	
Alt+PageUp	Move to previous new/UT entry

Jassy is there any particular reason for the key combinations that you have suggested for Next/Previous Fuzzy and Next/Previous UT?

Thanks
Comment 2 Ding-Yi Chen 2011-09-22 19:46:48 EDT
(In reply to comment #1)
> (In reply to comment #0)
> 
> > Expected results: 1. Pressing Enter button should move focus to next string.
> 
> This has been marked to be mapped as: Alt+Down
> 
> Adding the functionality for 'Enter' button also, seems reasonable to
> accelerate navigation.

Ctrl-Enter also do this trick, 
"Enter", however I afraid, reserved for newline within text area.


> 
> > 2. ctrl+pgup for previous fuzzy and ctrl+pgdn for next fuzzy
> 
> Marked for inclusion as:
> 
> Ctrl+Shift+PageDown Move to next fuzzy entry 
> Ctrl+Shift+PageUp Move to previous fuzzy entry

In firefox, ctrl+PgUp and ctrl+PgDn means previous browser tab and next browser tab.

> 
> > 3. ctrl+shift+pgup for previous Untranslated and ctrl+shift+pgdn for next
> > Untranslated.
> > 
> 
> Marked for inclusion as:
> 
> Alt+PageDown Move to next new/UT entry 
> Alt+PageUp Move to previous new/UT entry

Alt+PageDn is for next Untranslated/Fuzzy entry
Alt+PageUp is for next Untranslated/Fuzzy entry

> 
> Jassy is there any particular reason for the key combinations that you have
> suggested for Next/Previous Fuzzy and Next/Previous UT?
> 
> Thanks
Comment 3 Jaswinder Singh 2011-09-23 00:57:39 EDT
(In reply to comment #1)
> (In reply to comment #0)
> 
> > Expected results: 1. Pressing Enter button should move focus to next string.
> 
> This has been marked to be mapped as: Alt+Down
> 
> Adding the functionality for 'Enter' button also, seems reasonable to
> accelerate navigation.
> 
> > 2. ctrl+pgup for previous fuzzy and ctrl+pgdn for next fuzzy
> 
> Marked for inclusion as:
> 
> Ctrl+Shift+PageDown Move to next fuzzy entry 
> Ctrl+Shift+PageUp Move to previous fuzzy entry
> 
> > 3. ctrl+shift+pgup for previous Untranslated and ctrl+shift+pgdn for next
> > Untranslated.
> > 
> 
> Marked for inclusion as:
> 
> Alt+PageDown Move to next new/UT entry 
> Alt+PageUp Move to previous new/UT entry
> 
> Jassy is there any particular reason for the key combinations that you have
> suggested for Next/Previous Fuzzy and Next/Previous UT?

Runa before filling bug we discussed all this.
It will help if some one need to finish fuzzy/UT first instead of visiting all string he/she can go directly. Also it was in previous tools.
> 
> Thanks
Comment 4 Jaswinder Singh 2011-09-23 01:02:13 EDT
(In reply to comment #1)
> (In reply to comment #0)
> 
> > Expected results: 1. Pressing Enter button should move focus to next string.
> 
> This has been marked to be mapped as: Alt+Down
> 
> Adding the functionality for 'Enter' button also, seems reasonable to
> accelerate navigation.
> 
> > 2. ctrl+pgup for previous fuzzy and ctrl+pgdn for next fuzzy
> 
> Marked for inclusion as:
> 
> Ctrl+Shift+PageDown Move to next fuzzy entry 
> Ctrl+Shift+PageUp Move to previous fuzzy entry
> 
> > 3. ctrl+shift+pgup for previous Untranslated and ctrl+shift+pgdn for next
> > Untranslated.
> > 
> 
> Marked for inclusion as:
> 
> Alt+PageDown Move to next new/UT entry 
> Alt+PageUp Move to previous new/UT entry
> 
> Jassy is there any particular reason for the key combinations that you have
> suggested for Next/Previous Fuzzy and Next/Previous UT?

Yes one main reason is mentioned in bracket with bug summary. 
> 
> Thanks
Comment 5 Runa Bhattacharjee 2011-09-23 02:26:54 EDT
So there are two issues here:

1. Addition of keyboard shortcuts for:

 * Next Fuzzy String
 * Previous Fuzzy String
 * Next Untranslated String
 * Previous Untranslated String


2. Use of 'Enter' to move to the next string

Dchen:

Can we swap the functionality of 'Ctrl+Enter' and 'Enter'? i.e. use 'Enter' to go to the Next String and 'Ctrl+Enter' for new-line. 

During translations, requirement for a 'New line' is much less (and should already be part of the original string) than the requirement to move to the 'Next String'.
Comment 6 Jaswinder Singh 2011-09-23 02:29:38 EDT
(In reply to comment #5)
> So there are two issues here:
> 
> 1. Addition of keyboard shortcuts for:
> 
>  * Next Fuzzy String
>  * Previous Fuzzy String
>  * Next Untranslated String
>  * Previous Untranslated String
> 
> 
> 2. Use of 'Enter' to move to the next string
Yes Runa, these are the thing to update.
> 
> Dchen:
> 
> Can we swap the functionality of 'Ctrl+Enter' and 'Enter'? i.e. use 'Enter' to
> go to the Next String and 'Ctrl+Enter' for new-line. 
> 
> During translations, requirement for a 'New line' is much less (and should
> already be part of the original string) than the requirement to move to the
> 'Next String'.
Comment 7 Ding-Yi Chen 2011-09-23 03:23:32 EDT
(In reply to comment #5)
> So there are two issues here:
> 
> 1. Addition of keyboard shortcuts for:
> 
>  * Next Fuzzy String
>  * Previous Fuzzy String
>  * Next Untranslated String
>  * Previous Untranslated String

Well, as long as you can find the key combinations that:
1. Having some sense thus easy to remember.
2. Not clash with Firefox, Google chrome/chromium, Gnome, KDE and input methods.

I find no reason to object. :-)


> 2. Use of 'Enter' to move to the next string
> 
> Dchen:
> 
> Can we swap the functionality of 'Ctrl+Enter' and 'Enter'? i.e. use 'Enter' to
> go to the Next String and 'Ctrl+Enter' for new-line. 

Unfortunately no.

1. Early adopted translators are already used to Enter as newline.
2. When translating a long document (i.e. newline is very much needed in the editing cell), enter is more intuitive.

If you insist, better check with Hedda and Manuel about this change.
Comment 8 David Mason 2011-09-23 03:26:34 EDT
(In reply to comment #5)
> 2. Use of 'Enter' to move to the next string

I think this should be an optional setting that each translator can turn on:

A lot of people were very annoyed when Facebook changed from pressing a button
to submit comments to pressing Enter to do so. That makes me suspect that such
a change could be a major annoyance for some translators, depending what type
of strings they are working on and their individual style.

To borrow further from Facebook's experience, for replying to messages they
currently have a checkbox below the message entry box to activate "Quick reply
mode: press Enter to send". Something like this might be best to cater to
different translators. My suggestion would be to make it like the option to
hide editor buttons: not activated by default (so that the editor field works
the same as a normal text entry), but can easily be activated at the start of a
session by any user who wants to use it.
Comment 9 Runa Bhattacharjee 2011-09-23 03:31:11 EDT
(In reply to comment #7)

> 
> Well, as long as you can find the key combinations that:
> 1. Having some sense thus easy to remember.
> 2. Not clash with Firefox, Google chrome/chromium, Gnome, KDE and input
> methods.
> 
> I find no reason to object. :-)

Thanks. We can get started on this on then. :)


> 
> Unfortunately no.
> 
> 1. Early adopted translators are already used to Enter as newline.
> 2. When translating a long document (i.e. newline is very much needed in the
> editing cell), enter is more intuitive.
> 
> If you insist, better check with Hedda and Manuel about this change.


We may have to. Its going to be a *pain* for software translations and also for
translation reviews where the translators have to move through lots (read
sometimes 100s) of entries very quickly.
Comment 10 Runa Bhattacharjee 2011-09-23 03:35:07 EDT
(In reply to comment #8)

> I think this should be an optional setting that each translator can turn on:
> 
> A lot of people were very annoyed when Facebook changed from pressing a button
> to submit comments to pressing Enter to do so. That makes me suspect that such
> a change could be a major annoyance for some translators, depending what type
> of strings they are working on and their individual style.
> 
> My suggestion would be to make it like the option to
> hide editor buttons: not activated by default (so that the editor field works
> the same as a normal text entry), but can easily be activated at the start of a
> session by any user who wants to use it.

This is a sensible method. Making it optional would offer more flexibility on the workspace.
Comment 11 Manuel Ospina 2011-09-26 01:54:06 EDT
Agree, an optional setting is the best option.
Comment 12 James Ni 2011-10-10 02:06:58 EDT
> So there are two issues here:
> 
> 1. Addition of keyboard shortcuts for:
> 
>  * Next Fuzzy String
>  * Previous Fuzzy String
>  * Next Untranslated String
>  * Previous Untranslated String

Please reference https://bugzilla.redhat.com/show_bug.cgi?id=743134

> 2. Use of 'Enter' to move to the next string

Please reference https://bugzilla.redhat.com/show_bug.cgi?id=744671

We have implemented the option menus to switch navigation mode and enable 'Enter' to save and move to the next string
Comment 13 Ding-Yi Chen 2011-10-16 23:40:16 EDT
Runa,

Are the following keyboard shortcut included in this bug?
> Ctrl+Shift+PageDown Move to next fuzzy entry 
> Ctrl+Shift+PageUp Move to previous fuzzy entry
Comment 14 Ding-Yi Chen 2011-10-18 01:04:45 EDT
After discuss with Sean, we suspended the idea that
1. Ctrl+Shift+PageDown Move to next fuzzy entry
2. Ctrl+Shift+PageUp Move to previous fuzzy entry
Comment 15 Ding-Yi Chen 2011-10-18 01:45:42 EDT
VERIFIED with Zanata version 1.4.2-SNAPSHOT (20111018-1316)

Note You need to log in before you can comment on or make changes to this bug.